For the complete documentation index, see llms.txt. This page is also available as Markdown.

Facility type

Filter cases by facility type

Filter by defendant level ID (integer).

GET https://clearinghouse.net/api/v2/case?facility_type=facility_type_id

Query Parameters

Name
Type
Description

facility_type*

integer

Facility type ID (see list below for list of integers and its mapped values)

Headers

Name
Type
Description

Authorization*

String

Authorization

Token XXXXXXXXXXX

where

XXXXXXXXXXX

is the token string

\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2/cases/?case_id=xyz
["API Error: zxy is not an integer."]
{
    "detail":"Authentication credentials were not provided."
}

Supported facility type IDs (facility_type_id):

5431
Non-government for-profit

5430

Non-government non-profit

5429

Government-run

For more information about facility types, see Type of Facility.

Example

https://clearinghouse.net/api/v2/case?facility_type=5431
import requests

url = "https://clearinghouse.net/api/v2/case/facility_type=5431"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)

Last updated